Package ghidra.app.util.opinion

# Enum Class PeLoader.CompilerOpinion.CompilerEnum

java.lang.Object
java.lang.Enum<PeLoader.CompilerOpinion.CompilerEnum>
ghidra.app.util.opinion.PeLoader.CompilerOpinion.CompilerEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<PeLoader.CompilerOpinion.CompilerEnum>`, `Constable`

Enclosing class:
  `PeLoader.CompilerOpinion`

public static enum PeLoader.CompilerOpinion.CompilerEnum extends Enum<PeLoader.CompilerOpinion.CompilerEnum>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BorlandCpp`
  `BorlandPascal`
  `BorlandUnk`
  `Clang`
  `CLI`
  `GCC`
  `GCC_VS`
  `GCC_VS_Clang`
  `GOLANG`
  `Rustc`
  `Swift`
  `Unknown`
  `VisualStudio`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `family`
  `final String`
  `label`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static PeLoader.CompilerOpinion.CompilerEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PeLoader.CompilerOpinion.CompilerEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VisualStudio

    public static final PeLoader.CompilerOpinion.CompilerEnum VisualStudio

  - ### GCC

    public static final PeLoader.CompilerOpinion.CompilerEnum GCC

  - ### Clang

    public static final PeLoader.CompilerOpinion.CompilerEnum Clang

  - ### BorlandPascal

    public static final PeLoader.CompilerOpinion.CompilerEnum BorlandPascal

  - ### BorlandCpp

    public static final PeLoader.CompilerOpinion.CompilerEnum BorlandCpp

  - ### BorlandUnk

    public static final PeLoader.CompilerOpinion.CompilerEnum BorlandUnk

  - ### CLI

    public static final PeLoader.CompilerOpinion.CompilerEnum CLI

  - ### Rustc

    public static final PeLoader.CompilerOpinion.CompilerEnum Rustc

  - ### GOLANG

    public static final PeLoader.CompilerOpinion.CompilerEnum GOLANG

  - ### Swift

    public static final PeLoader.CompilerOpinion.CompilerEnum Swift

  - ### Unknown

    public static final PeLoader.CompilerOpinion.CompilerEnum Unknown

  - ### GCC_VS

    public static final PeLoader.CompilerOpinion.CompilerEnum GCC_VS

  - ### GCC_VS_Clang

    public static final PeLoader.CompilerOpinion.CompilerEnum GCC_VS_Clang

- ## Field Details

  - ### label

    public final String label

  - ### family

    public final String family

- ## Method Details

  - ### values

    public static PeLoader.CompilerOpinion.CompilerEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PeLoader.CompilerOpinion.CompilerEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<PeLoader.CompilerOpinion.CompilerEnum>`